Package org.springframework.beans.factory.aot

# Interface BeanFactoryInitializationAotContribution

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface BeanFactoryInitializationAotContribution
AOT contribution from a `BeanFactoryInitializationAotProcessor` used to initialize a bean factory.

Note: Beans implementing this interface will not have registration methods generated during AOT processing unless they also implement `BeanRegistrationExcludeFilter`.

Since:
  6.0
Author:
  Phillip Webb
See Also:
  - `BeanFactoryInitializationAotProcessor`

## Method Summary

Modifier and Type
Method
Description
`void`
`applyTo(org.springframework.aot.generate.GenerationContext generationContext, BeanFactoryInitializationCode beanFactoryInitializationCode)`
Apply this contribution to the given `BeanFactoryInitializationCode`.

## Method Details

### applyTo

void applyTo(org.springframework.aot.generate.GenerationContext generationContext, BeanFactoryInitializationCode beanFactoryInitializationCode)
Apply this contribution to the given `BeanFactoryInitializationCode`.

Parameters:
  `generationContext` - the active generation context
  `beanFactoryInitializationCode` - the bean factory initialization code